import { Base58EncodedAddress } from '@solana/addresses';
import { TransactionSignature } from '@solana/transactions';
import { Commitment } from '../commitment';
import { RpcResponse } from '../rpc-methods/common';
import { TransactionError } from '../transaction-error';
type LogsNotificationsApiNotification = RpcResponse<Readonly<{
    err: TransactionError | null;
    logs: readonly string[] | null;
    signature: TransactionSignature;
}>>;
type LogsNotificationsApiFilter = 'all' | 'allWithVotes' | {
    mentions: [Base58EncodedAddress];
};
type LogsNotificationsApiConfig = Readonly<{
    commitment?: Commitment;
}>;
export interface LogsNotificationsApi {
    /**
     * Subscribe to a transaction logs to receive notification when a given transaction is committed.
     * On `logsNotification` - the subscription is automatically cancelled.
     * The logs must be a txid, the first logs of a transaction.
     */
    logsNotifications(filter: LogsNotificationsApiFilter, config?: LogsNotificationsApiConfig): LogsNotificationsApiNotification;
}
export {};
//# sourceMappingURL=logs-notifications.d.ts.map